2010-09-23  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/Makefile.in: add valgrind targets

	* itcl/generic/itcl_ensemble.c (HandleEnsemble): fix mem leak in
	itcl ensemble handling. [AS Bug 86108, SF Bug 1503328]

2010-08-17  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/Makefile.in, itk/Makefile.in (TCL_TOP_DIR_NATIVE): no longer
	necessary for private header builds

2010-08-16  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/Makefile.in, itcl/configure, itcl/configure.in:
	* itk/Makefile.in, itk/configure, itk/configure.in:
	* configure, configure.in: update to TEA 3.9, regen with ac-2.59

2009-10-14  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/library/itcl.tcl (unknown): proper scoping for errorCode.
	[AS Bug #84942]

2009-07-09  Karl Lehenbauer  <karll@users.sf.net>
	* IncrTcl 3.4b1 tagged for release.

2008-12-15  Andreas Kupries  <andreask@activestate.com>

	* itcl/generic/itcl_cmds.c: Handle TIP#336 addition of API to access
	* itcl/generic/itcl_ensemble.c: interp->errorLine.
	* itcl/generic/itclInt.h:
	* itcl/generic/itcl_methods.c:
	* itcl/generic/itcl_parse.c:

2008-11-03  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/library/itcl.tcl (::unknown): correct unknown redefinition
	to support pre-8.5 interps. [Bug #2040295]

2008-10-04  Miguel Sofer  <msofer@users.sf.net>

	* itcl/generic/itcl_bicmds.c: replace interp->result with
	Tcl_GetStringResult (thanks apw)

2008-08-06  Miguel Sofer  <msofer@users.sf.net>

	* itcl/library/itcl.tcl: patch Tcl's ::unknown at load time, as
	Tcl removed the special handling that we need for [namespace code] 
	[Patch 2040295]
	
2008-06-13  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/generic/itcl_methods.c (Itcl_CreateMemberCode): ensure that
	we init all Command structure to 0 for version struct variance.

2008-02-07  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/library/itcl.tcl (::itcl::itcl_class): correct compat
	definition to use right declaration for public/protected variable.

2008-02-06  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/library/itcl.tcl (itcl_class, itcl_info): create auto_index
	fallbacks of classic itcl v2 itcl_class and itcl_info calls.  This
	handles the public/protected change in itcl::class definitions.

2007-11-03  David Gravereaux <davygrvy@pobox.com>

	* itcl/generic/itclInt.h: small macro fix with USE_TCL_STUBS.
	Made check for if it was defined.

	* makefile.vc:
	* itcl/win/makefile.vc:
	* itk/win/makefile.vc:  'depend' target added.

2007-10-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/generic/itcl_methods.c: cast to silence compiler warning.

2007-09-06  David Gravereaux <davygrvy@pobox.com>

	* itcl/win/makefile.vc: Small change to how compiler flags are
	built-up.  Stubs library doesn't have stuff it doesn't need and
	now takes $(OPTDEFINES) from the top rules.vc

	* itcl/doc/Preserve.3:  New API dox that never was, and probably
	* itcl/doc/Object.3:    won't be for long.
	* itcl/doc/List.3:
	* itcl/doc/Class.3:

2007-08-07  Miguel Sofer  <msofer@users.sf.net>

	* itcl/generic/itclInt.h:
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_methods.c:
	* itcl/generic/itcl_migrate.c:
	* itcl/generic/itcl_objects.c:
	* itcl/generic/itcl_parse.c:
	* itcl/generic/itcl_util.c:  Adaptation to Tcl's VarReform. When
	compiled against 8.4 headers, itcl/itk will also run under 8.5.
	Patch from [Bug 1766617] 

2007-08-03  Miguel Sofer  <msofer@users.sf.net>

	* itcl/generic/itcl_parse.c (Itcl_ClassCommonCmd): plug leak
	of pre-existing variables being declared as common

2007-07-04  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/library/itcl.tcl: add 'ensemble' to auto_mkindex tclIndex
	file generation. (allaert)

2007-07-03  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/Makefile.in: do not include tests/old in dist.

	* itcl/generic/itcl_cmds.c (Initialize):              Resolve
	* itcl/generic/itcl_util.c (Itcl_DiscardInterpState): [Bug 1047544]
	(Itcl_RestoreInterpState, Itcl_SaveInterpState):      with fix that
	* itcl/generic/itclInt.h: has late-8.4 support for stubs x-version
	support of the state APIs.

	* {itcl,itk}/Makefile.in: add TAR var, with 'tar' default (was 'gtar')

	* itcl/generic/itcl_class.c (Itcl_HandleClass): Make #auto handling
	* itcl/tests/basic.test:                        code unicode-aware.

2007-06-10  Jeff Hobbs  <jeffh@ActiveState.com>

	* makefile.bc, {itcl,itk}/win/makefile.bc: removed outdated

	* itcl/library/itcl.tcl: fix for itcl's tclIndex file generation
	to include "imported" itcl commands, like configbody. (allaert)

2007-05-24  Jeff Hobbs  <jeffh@ActiveState.com>

	* itk/tests/toplevel.test, itk/library/Toplevel.itk: keep
	-menu for toplevel. [Bug 1208541] (derevenets)

	* itk/library/Toplevel.itk, itk/library/Widget.itk: handle widgets
	with spaces. [Bug 1539966] (ogilvie)

	* itcl/generic/itcl_class.c, itcl/generic/itcl_cmds.c: code cleanup
	* itcl/generic/itcl_methods.c, itcl/tests/basic.test: [Bug 1156326]

	* itcl/tests/basic.test: more test cases [Bug 1156333]
	* itcl/generic/itcl_parse.c (Itcl_ClassCmd): handle "" class name
	properly. [Bug 1156343] (dejong)

	* itcl/generic/itcl_class.c (Itcl_FindClassNamespace): harden the
	lookup to use short-circuit. [Bug 1156352]

	* README, configure, configure.in:
	* itcl/configure, itcl/configure.in, itcl/generic/itcl.h:
	* itk/configure, itk/configure.in, itk/generic/itk.h: updated to
	3.4 as itcl handles M.m more cleanly

	* itcl/generic/itcl_bicmds.c, itcl/generic/itcl_class.c:
	* itcl/generic/itcl_cmds.c, itcl/generic/itcl_ensemble.c:
	* itcl/generic/itcl_methods.c, itcl/generic/itcl_objects.c:
	* itcl/generic/itcl_parse.c, itcl/generic/itcl_util.c:
	* itk/generic/itk_archetype.c, itk/generic/itk_cmds.c:
	* itk/generic/itk_option.c: Reduce use of potentially dangerous
	Tcl_AppendStringsToObj for possibly shared interp result obj.
	[Bug 227814, 1468370]

	* README, itcl/configure, itcl/configure.in: updated to 3.3.1
	* itcl/generic/itcl.h, itcl/generic/itclInt.decls:
	* itcl/generic/itclInt.h, itcl/generic/itclIntDecls.h:
	* itcl/generic/itcl_bicmds.c, itcl/generic/itcl_class.c:
	* itcl/generic/itcl_cmds.c, itcl/generic/itcl_methods.c:
	* itcl/generic/itcl_migrate.c, itcl/generic/itcl_objects.c:
	* itcl/generic/itcl_parse.c, itcl/generic/itcl_util.c:
	* itk/configure, itk/configure.in, itk/generic/itk.h:
	* itk/generic/itk_archetype.c, itk/generic/itk_option.c: Fix itcl
	use of Tcl_CallFrame to allow itcl compiled with pre-8.5 core to
	work in Tcl 8.5.  [Bug 1725219]

2007-02-15  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure, configure.in, itcl/configure, itcl/configure.in:
	* itk/configure, itk/configure.in, tclconfig/tcl.m4: TEA 3.6 update

	* itcl/generic/itcl_cmds.c (Initialize): remove the exactness
	requirement on the TCL_VERSION in Tcl_PkgRequire/Tcl_InitStubs.
	[AS Bug 67068]

2006-06-06  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/generic/itcl_methods.c (Itcl_DeleteMemberCode): check
	procPtr for NULL.

2006-06-02  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/tests/methods.test (method-2.1): 
	* itcl/generic/itcl_methods.c (Itcl_DeleteMemberCode): free any
	compiled local in the no arguments list case.

2006-01-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/configure.in, itcl/configure: 
	* itk/configure.in, itk/configure: 
	* configure, configure.in: update to TEA 3.5
	* tclconfig/tcl.m4:        TEA rcs 1.89 2006/01/25 21:25:02

2005-12-02  Jeff Hobbs  <jeffh@ActiveState.com>

	* tclconfig/tcl.m4: update to TEA 3.4
	* configure.in, itcl/configure.in, itk/configure.in:
	* configure, itcl/configure, itk/configure:

2005-03-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in:                           OS X patches from Steffen
	* itcl/generic/itcl_cmds.c (initScript):
	* itk/generic/itk_cmds.c (initScript):

2005-03-18  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/Makefile.in, itk/Makefile.in (AR): use @AR@
	* tclconfig/tcl.m4, itcl/configure, itk/configure: update to TEA 3.2

2005-02-14  Jean-Claude Wippler  <jcw@equi4.com>

	* configure.in, tclconfig/tcl.m4: update to TEA 3.2
	* configure, itcl/configure, itk/configure: regen with autoconf 2.59

2005-02-11  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/generic/itcl_methods.c (Itcl_GetMemberCode): fixed c99 var
	decl from previous patch.

2005-02-10  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/generic/itclInt.h:      [Bug 1115085] (dejong) Fix crash
	* itcl/generic/itcl_bicmds.c:  with TclInitCompiledLocals reliance
	* itcl/generic/itcl_methods.c: on bytecode ptr type

2005-01-24  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/configure, itk/configure: update to TEA 3.1 r1.54, removes
	* configure, tclconfig/tcl.m4:   DBGX, updates default opt levels

2004-12-11  David Gravereaux <davygrvy@pobox.com>

	* itcl/generic/itc_class.c: instansiation of an object must return
	an FQN.

2004-11-23  David Gravereaux <davygrvy@pobox.com>

	* itcl/generic/itcl_cmds.c:  Fix for [Bug 1047544]  Forward loading
	* itcl/generic/itcl_util.c:  from an 8.4 build loading into in 8.5
	is not possible at this time.

2004-11-11  David Gravereaux <davygrvy@pobox.com>

	* itk/Makefile.in: Possible fix for 1049579, but untested.

2004-09-21  David Gravereaux <davygrvy@pobox.com>

	* itcl/generic/itcl_utils.c: Error code internal flag abuse
	fixed. From Don Porter. [Bug 1032210]

	* makefile.vc: Some VC7 support.
	* itcl/win/makefile.vc:
	* itk/win/makefile.vc: Had to include the win directory to Tcl's
	includes since Tcl has had an order change recently.

2004-09-19  David Gravereaux <davygrvy@pobox.com>

	* itcl/doc/*.n: Tree name for commands changed from "[Incr Tcl]"
	to "[Incr Tcl] Commands".  Started to add exported API docs under
	the new "[Incr Tcl] Library Procedures" tree.

	* itcl/doc/RegisterC.3 (new): docs for Itcl_RegisterC and
	Itcl_RegisterObjC.  More to be added over time.

2004-09-07  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/configure, itk/configure, tclconfig/tcl.m4: updated TEA m4
	to support evc4 Win/CE builds

2004-08-31  David Gravereaux <davygrvy@pobox.com>

	* itcl/doc/body.n
	* itcl/doc/class.n:
	* itcl/doc/configbody.n::
	* itcl/doc/delete.n:
	* itcl/doc/ensemble.n:
	* itcl/doc/find.n:
	* itcl/doc/is.n:
	* itcl/doc/local.n:  Updated code examples to use the fully
	qualified Itcl command names.  A few references to the itcl
	namespace command are still there and need to be changed at
	some point.

	* itk/doc/Archetype.n:
	* itk/doc/Toplevel.n:
	* itk/doc/usual.n:
	* itk/doc/Widget.n: Ditto as above.

2004-08-17  Jeff Hobbs  <jeffh@ActiveState.com>

	* */Makefile.in (install-doc): sed in man.macros on doc install
	[Bug 631378] (rmax)

	* */Makefile.in (VPATH): move $(srcdir)/unix to front (unused) to
	get around bug in autoconf that strips $(srcdir) from first
	element when building in the source directory.

	* itk/configure:    remove extraneous --with-itcl AC macro
	* itk/configure.in: TEA_PATH_CONFIG handles this for us

	* itcl/itclConfig.sh.in:            must be absolute path to
	* itcl/configure.in (itcl_SRC_DIR): configure in the srcdir.
	* itcl/configure:                   [Bug 582951]

2004-08-10  Jeff Hobbs  <jeffh@ActiveState.com>

	* README, TODO: version, info updates

	* Makefile.in, configure, configure.in: Update to TEA 3.1
	* tcl.m4 (removed):              cleanup build system to only
	* config/config.guess (removed): provide the parts that are
	* config/config.sub (removed):   necessary to itcl and itk.
	* config/install-sh (removed):   Update to 3.3.0 as version
	* tclconfig/install-sh (added):  throughout.
	* tclconfig/tcl.m4 (added):
	* itcl/generic/itcl.h:
	* itcl/Makefile.in, itcl/aclocal.m4, itcl/configure:
	* itcl/configure.in, itcl/itclConfig.sh.in, itcl/pkgIndex.tcl.in:
	* itk/Makefile.in, itk/aclocal.m4, itk/configure, itk/configure.in:
	* itk/itkConfig.sh.in, itk/pkgIndex.tcl.in, itk/generic/itk.h:

	* itcl/mac/MW_ItclHeader.pch (removed)       Removed Mac Classic
	* itcl/mac/itclMacApplication.r (removed)    sources.  There were
	* itcl/mac/itclMacLibrary.r (removed)        no longer maintained,
	* itcl/mac/itclMacResource.r (removed)       and Tcl has dropped
	* itcl/mac/itclMacTclCode.r (removed)        ongoing Mac Classic
	* itcl/mac/itclStaticApplication.r (removed) support as well (in
	* itcl/mac/pkgIndex.tcl (removed)            favor of OS X).
	* itk/mac/MW_ItkHeader.pch (removed)
	* itk/mac/itkMacApplication.r (removed)
	* itk/mac/itkMacLibrary.r (removed)
	* itk/mac/itkMacResource.r (removed)
	* itk/mac/itkMacTclCode.r (removed)
	* itk/mac/itkStaticApplication.r (removed)
	* itk/mac/pkgIndex.tcl (removed)
	* itk/mac/tclIndex (removed)

2004-04-29  davygrvy

	* itcl/tests/import.test: fixed [subst] problem.

	* itcl/win/makefile.vc:
	* itcl/win/nmakehlp.c:
	* itk/win/makefile.vc:
	* itk/win/nmakehlp.c:
	* rules.vc: brain dump

	* itcl/Makefile.in: test target now calling tcltest correctly

2004-02-13  davygrvy
	* itcl/tests/all:
	* itcl/tests/defs (deleted): This serves no purpose today with
	tcltest being so powerful.

	* itcl/tests/import.test: more load precision with
	::tcltest::loadTestedCommands in sub interps.

	* itcl/tests/mkindex.itcl:
	* itcl/tests/mkindex.test:
	* itcl/tests/tclIndex: reference to itcl_class removed from
	mkindex.test so 1.3 can now pass.

2004-02-12  davygrvy
	* itcl/win/makefile.vc:
	* itcl/win/rc/itcl.rc: rc file work

	* itcl/tests/all.tcl:
	* itcl/tests/import.test:
	* itcl/tests/mkindex.test: some cleanup.

	* itcl/generic/itclInt.h: commentary

	* itcl/win/makefile.vc: now runs the test suite, OMG!

	* itcl/tests/all.tcl:
	* itcl/tests/basic.test:
	* itcl/tests/body.test:
	* itcl/tests/chain.test:
	* itcl/tests/delete.test:
	* itcl/tests/ensemble.test:
	* itcl/tests/import.test:
	* itcl/tests/info.test:
	* itcl/tests/inherit.test:
	* itcl/tests/interp.test:
	* itcl/tests/local.test:
	* itcl/tests/methods.test:
	* itcl/tests/mkindex.test:
	* itcl/tests/namespace.test:
	* itcl/tests/protection.test:
	* itcl/tests/scope.test: Modified test suite to use -loadfile and
	::tcltest:: loadTestedCommands in each test file.

2003-12-24  davygrvy
	* itcl/generic/itcl.h:
	* itcl/generic/itcl_ensemble.c:
	* itcl/generic/itcl_methods.c:
	* itcl/generic/itcl_migrate.c:
	* itcl/generic/itcl_util.c:
	* itcl/win/makefile.vc: Changed deprecated 'panic' to 'Tcl_Panic'.

	* itcl/generic/itclStubLib.c:
	* itk/generic/itkStubLib.c:
	* itk/win/makefile.vc: Small 'const' issue with Tcl_PkgRequireEx
	under 8.1.0

2003-12-23  davygrvy
	* itcl/win/makefile.vc:
	* itk/win/makefile.vc:
		8.0 build needs a different output name for the binaries.

	* itcl/win/nmakehlp.c:
	* itk/win/nmakehlp.c:
	* rules.vc: sync'd to Tcl.

	* itcl/generic/itcl.h:
	* itcl/generic/itclStubLib.c:
	* itk/generic/itk.h:
	* itk/generic/itkStubLib.c: Some It*_InitStubs adjustments for CONST.

	* itcl/win/makefile.vc: temp help merge script should be deleted
	after use.

	* tools/genStubs.tcl: we need this.

	* itcl/win/makefile.vc:
	* itk/win/makefile.vc: install target bugs fixed

	* itcl/win/makefile.vc:
	* itk/win/makefile.vc:
	* pkg.vc: Uses new features of nmakehlp to get the version strings
	from header files without the use of hardcoded values.

	* itk/generic/itk_archetype.c:
	* itk/generic/itk_cmds.c:
	* itk/win/makefile.vc: changes to support building against 8.0.5

	* itcl/doc/itclsh.1:
	* itcl/mac/tclMacAppInit.c:
	* itk/doc/itkwish.1:
	* itk/mac/tkMacAppInit.c: custom shell no longer exists

	* itcl/generic/itcl.h:
	* itcl/generic/itclDecls.h:
	* itcl/generic/itclIntDecls.h:
	* itcl/win/makefile.vc:
	* itcl/win/rc/itcl.rc:
	* itk/generic/itk.h:
	* itk/generic/itkDecls.h:
	* itk/win/makefile.vc:
	* makefile.vc: winhelp targets fixed and Stubs table issues resolved.

	* itcl/win/makefile.vc:
	* itk/win/makefile.vc: some pkgIndex.tcl generation work.

	* itcl/generic/itcl.h:
	* itcl/generic/itclInt.h:
	* itcl/generic/itcl_bicmds.c:
	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_ensemble.c:
	* itcl/generic/itcl_methods.c:
	* itcl/generic/itcl_objects.c:
	* itcl/generic/itcl_util.c:
	* itcl/win/makefile.vc:
	* itk/generic/itk_cmds.c:
	* itk/win/makefile.vc: Now builds against Tcl 8.0!  Unbeleivable,
	but true :) Tcl bug #803489 now suppressed with grotesque macros
	in itclInt.h

	* itcl/win/makefile.vc:
	* itcl/win/rc/itcl.rc:
	* itk/win/rc/itk.rc:
	* itk/win/rc/itk.rc: some resource bugs fixed

	* itcl/generic/itcl.h:
	* itcl/generic/itclInt.h: moved some backward compat macros to
	itclInt.h

	* itcl/win/nmakehlp.c:
	* itk/win/nmakehlp.c: prevent static buffer overflow (Doh!)

	* itcl/generic/itclInt.h:
	* itcl/generic/itcl_cmds.c:
		changes to support Itk building against 8.0.5

2003-12-22  davygrvy
	* itcl/generic/itcl.h:
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_methods.c:
	* itcl/generic/itcl_objects.c:
	* itcl/generic/itcl_util.c:
	* itk/generic/itk_archetype.c:
	Now builds with 8.3 regarding CONST84 trims on some Tcl API calls.

	* itcl/generic/itcl_cmds.c:
	* itk/generic/itk_cmds.c:
	Because the Tcl_Namespace APIs in Tcl have moved to the public
	space in 8.5, the stub slots have shifted.  This now causes Itcl
	when built against 8.5 to core when loaded into 8.4.  What genius
	you developers!  The absolute first rule with Stubs is not to EVER
	move the slots, but now you did.  Previously, one could build Itcl
	against 8.4 and load into any core 8.1+.  Now we can't do this.
	Gee, thank you all for the support...

	Now, what we compile against is the lowest we can load
	into.. Sorry!  send heated complaints to tcl-core@lists.sf.net

2003-12-17  davygrvy
	* itcl/generic/itcl.h:
	Use fancy STRINGIFY macros for version string.

	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_objects.c:
	Needed to fix usage of Itcl_DecodeScopedCommand as rCmdPtr always
	needs to be freed.

	* itcl/generic/itcl_cmd.c (Itcl_FindClassesCmd) : Memory leaking
	Tcl_Obj plugged.  [Bug 738189]

	* itcl/generic/itclInt.decls:
	* itcl/generic/itclIntDecls.h:
	* itcl/generic/itcl_util.c:
	Itcl_DecodeScopedCommand now fixed.

	* itcl/generic/itcl.decls:
	* itcl/generic/itclDecls.h:
	* itcl/generic/itclInt.decls:
	* itcl/generic/itclInt.h:
	* itcl/generic/itclIntDecls.h:
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_ensemble.c:
	* itcl/generic/itcl_linkage.c:
	* itcl/generic/itcl_methods.c:
	* itcl/generic/itcl_objects.c:
	* itcl/generic/itcl_util.c:
	full brain dump.  All CONST issues fixed except for
	Itcl_DecodeScopedCommand.  Will address this next.

2003-04-04  andreas_kupries
	* itcl/configure:
	* itk/configure:
	* tcl.m4:
	* itcl/configure.in:
	* itk/configure.in:
	* tclconfig/tcl.m4: Updated to newest tcl.m4, regenerated configure's.

2003-01-28  davygrvy
	* itcl/configure:
	* itk/configure:
	* itk/configure.in:
	Make sure threading is always on for compiling.

2002-10-16  andreas_kupries
	* itcl/configure:
	* itk/configure:
	* tcl.m4: tcl.m4 typo correction, Regen'd. aix fix

2002-10-15  andreas_kupries
	* itcl/configure:
	* itk/configure:
	* tcl.m4: Regen'd configure for new tcl.m4.

	* itcl/configure:
	* itcl/configure.in:
	* itk/configure:
	* itk/configure.in:
	Changed to propagate an initial CFLAGS value
	to the final definition. A TEA condition (SHARED_BUILD == 1)
	squashed it, causing it the build system to loose the
	+DAportable we specify for the AS PA-RISC2.2 build host. This is
	a problem for _all_ TEA and TEA 2 based configure files.

2002-10-15  hobbs
	* itcl/configure:    move the CFLAGS definition into
	* itcl/configure.in: TEA_ENABLE_SHARED and make it pick up the env
	* itk/configure:     CFLAGS at configure time.
	* itk/configure.in:
	* tcl.m4:

2002-09-29  davygrvy
	* itcl/win/makefile.vc:
	needed `if !exist` logic for the non-8.4 case.

	* itcl/win/makefile.vc:
	Use virtual base address rule from the master file contained in
	the Tcl source.

	* itcl/library/itcl.tcl:
	Reference to [itcl_class] removed.

2002-08-12  andreas_kupries
	* itcl/generic/itcl_class.c (ItclDestroyClassNamesp): Applied itcl
	patch 593112 provided by Reinhard Max
	<rmax@users.sourceforge.net>. This fixes the segfault in itcl bug
	577719, reported by Simon White <s_a_white@users.sourceforge.net>.

2002-08-11  davygrvy
	* itcl/generic/itcl_class.c (Itcl_ClassVarResolver,
	Itcl_ClassCompiledVarResolver):
	* itcl/generic/itcl_object.c (Itcl_ScopedVarResolver,
	ItclTraceThisVar):
	* itcl/generic/itcl_parse.c (Itcl_ParseVarResolver):
	* itcl/generic/itclInt.decls:
	Signiture changes to match 8.4b2 CONST'ification of the
	Tcl_ResolveVarProc typedef. Stubs slot positions nor sizes
	have changed -- just the sigs.

	* itk/win/makefile.vc:
	more install target fixes

	* itcl/generic/itclDecls.h:
	* itcl/generic/itclIntDecls.h:
	* itcl/generic/itclStubInit.c:  Re-gen from modified genStubs.tcl
	for the special TCL_EXTERN macro changes that Itcl has.

	* itk/generic/itk.h: speling error.

	* README.vc.txt: This no longer is needed.

	* itcl/generic/itcl.h: Borland TCL_EXTERN support revistited and
	refreshed.

	* itcl/win/makefile.vc:
	* itcl/Makefile.in: Removed itcl_obsolete.c from the build
	instructions.

	* itcl/generic/itcl_obsolete.c (deleted):
	* itcl/generic/itcl_cmds.c:  Removed old [itcl_class] command
	and old backward support that came with it.

	* itk/generic/itk.h:
	* itk/generic/itcl.h: Borland TCL_EXTERN support revistited and
	refreshed.

	* itk/generic/itkDecls.h:
	* itk/generic/itkStubInit.c: regenerated for newer Borland TCL_EXTERN
	support refreshing.

	* itk/generic/itk_option.c (Itk_TraceClassDestroy):
	Signiture change to match 8.4b2 CONST'ification.

	* itk/generic/itk_archetype.c: CONST`ification updates.

	* itk/win/makefile.vc: genstubs target fixed.

	* itcl/doc/itcl_class.n:
	* itcl/doc/itcl_info.n:	old docs for old commands removed, removed.

	* itk/win/makefile.vc: install target fixed

2002-07-17  hobbs

	* itcl/itclConfig.sh.in: dupped vars to have both itcl_* and
	ITCL_* to support apps that used old-style itclConfig.sh.

2002-06-13  davygrvy
	* itk/library/Toplevel.itk (destructor):
	* itk/library/Widget.itk (destructor): Remove the
	hull component after possibly destroying the hull.
	Destroy any component that still exists after
	destroying the hull since it must have been
	created outside the hull.
	* itk/tests/toplevel.test:
	* itk/tests/widget.test: Test that a component
	outside the hull is destroyed when the mega-widget
	is destroyed. Also check for case where one external
	widget contains another.
	[Patch 515010]

2002-05-14  davygrvy
	* itk/generic/itk_archetype.c:
	* itk/library/itk.tcl:

2002-05-14  Mo DeJong  <mdejong@users.sourceforge.net>

	* itk/generic/itk_archetype.c (ArchComponent, Itk_ArchCompDeleteCmd,
	Itk_CreateArchComponent, Itk_DelArchComponent): Save a copy
	of the window path name in the ArchComponent struct and use
	it in the Itk_ArchCompDeleteCmd method. The old code was
	invoking Tk_PathName(tkwin) on a Tk_Window which lead to
	a memory access on memory that has already been free'd
	when the widget was destroyed.
	* itk/library/itk.tcl (itk::remove_destroy_hook): Don't attempt
	to remove the widget binding if the widget has already been
	destroyed.

2002-05-02  davygrvy
	* itcl/configure:
	* itk/configure:
	re'gened with autoconf 2.13-4

2002-04-25  davygrvy
	* itcl/win/makefile.vc:
	install bug set pkgIndex.tcl to load itcl33.dll.dll.  corrected.

	* itcl/doc/is.n:
	Changed "last update" to be 3.3 instead 3.2

	* itcl/generic/itcl_cmds.c:
	Patch from Brett Schwarz for not exporting itcl::is [Patch
	548757]

	* itcl/doc/is.n:
	small format fix.

2002-04-20  davygrvy
	* config.vc:
	* itcl/win/.cvsignore:
	* itcl/win/makefile.vc:
	* itcl/win/nmakehlp.c:
	* itcl/win/toaster.bmp:
	* makefile.vc:
	* rules.vc:
	makefile.vc changes.

	* pkg.vc:
	missed this file..

	* itcl/configure.in:
	* itcl/generic/itcl.h:
	With a new command, we need to bump up the version to 3.3.0

	* itcl/generic/itcl_objects.c:
	I missed a CONST for ItclTraceThisVar()

	* itcl/doc/is.n:
	* itcl/generic/itclDecls.h:
	* itcl/generic/itclInt.decls:
	* itcl/generic/itclIntDecls.h:
	* itcl/generic/itclStubInit.c:
	* itcl/generic/itcl_cmds.c:
	* itcl/tests/basic.test:
	Added the itcl::is command from Brett Schwarz.
	Untested by me, but looks great.
	[Patch 546343 546344 546345 546346]

	* itcl/generic/itclInt.decls:
	* itcl/generic/itclIntDecls.h:
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_objects.c:
	* itk/generic/itk_option.c:
	minor changes for CONST'ification project.

	* itk/win/.cvsignore:
	* itk/win/makefile.vc:
	* itk/win/nmakehlp.c:
	* itk/win/toaster.bmp:
	makefile.vc changes to match the core.

	* itk/configure.in:
	missed this file, too

2002-04-11  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/configure:
	* itk/configure:
	* tcl.m4: Enabled COFF as well as CV style debug info with
	--enable-symbols to allow Dr. Watson users to see function info.
	More info on debugging levels can be obtained at:
	http://msdn.microsoft.com/library/en-us/dnvc60/html/gendepdebug.asp

2002-04-03  Jeff Hobbs  <jeffh@ActiveState.com>

	* */configure: regend
	* configure.in: removed prefix default calls
	* itcl/configure.in:
	* itk/configure.in:
	* tcl.m4: updated of TEA base

	* itcl/tests/mkindex.test: corrected to work tests are run from a
	different build dir

	* itcl/Makefile.in: 
	* itk/Makefile.in: updated to use DESTDIR for install everywhere
	and added shell and gdb targets

2002-04-01  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/Makefile.in (install-lib-binaries): 
	* itk/Makefile.in (install-lib-binaries): ensure that dynamic
	library is installed executable

	* itcl/configure:
	* itcl/configure.in:
	* itk/configure:
	* itk/configure.in: redid generation of itclConfig.sh (making it
	work on Windows broke Unix).  Retested so that it is happy on
	Windows and Unix (calls ${CYGPATH} only when necessary).

2002-03-29  Jeff Hobbs  <jeffh@ActiveState.com>

	* */configure: regenerated
	* tcl.m4: updated from sample changes

2002-03-28  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure:
	* configure.in:
	* tcl.m4:
	* itcl/Makefile.in:
	* itcl/configure:
	* itcl/configure.in:
	* itcl/itclConfig.sh.in:
	* itcl/pkgIndex.tcl.in:
	* itcl/generic/itclStubLib.c:
	* itcl/tests/all.tcl:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
	* itk/pkgIndex.tcl.in:
	* itk/tests/all.tcl:
	* config/installFile.tcl (removed):
	* config/mkinstalldirs (removed): Massive overhaul (and
	simplification) of the build framework to adapt to TEA 2002
	specs.  Dynamic libraries now install in the pkglibdir (before it
	was libdir), itclConfig.sh is properly generated and itk uses it.
	Stubs libraries are now correctly generated and used.  You can now
	build and test itcl/itk against built but not installed Tcl/Tk.

2002-03-27  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure:
	* tcl.m4: corrected pointer to ldAix to use Tcl version and add
	-lc for AIX builds

	* itcl/configure: 
	* itcl/configure.in: 
	* itk/configure: 
	* itk/configure.in: corrected to use SHLIB_LD_LIBS instead of
	TCL_SHLIB_LD_LIBS.

2002-03-02  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* itcl/Makefile.in:
	* itcl/generic/itclInt.decls:
	* itcl/generic/itcl_bicmds.c:
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_ensemble.c:
	* itcl/generic/itcl_methods.c:
	* itcl/generic/itcl_objects.c:
	* itcl/generic/itcl_obsolete.c:
	* itcl/generic/itcl_parse.c:
	* itcl/generic/itcl_util.c:
	* itk/Makefile.in:
	* itk/generic/itk.decls:
	* itk/generic/itk_archetype.c:
	* itk/generic/itk_option.c: Applied SF patch #511035 (provided by
	  Don Porter <dgp@users.sourceforge.net>) to remove warnings
	  related to TIP 27.

2002-01-16  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* tcl.m4: Fix from patch #501979 applied.

	* itcl/configure:
	* itk/configure: Regenerated.

2002-01-10  David Gravereaux <davygrvy@pobox.com>

	* itcl/generic/itcl_cmds.c (Itcl_FindObjectsCmd, Itcl_FindClassesCmd):
	optimized use of Tcl_Objs to remove the creation of new ones that ended
	just being set to the interp's result.  Let it use the result obj
	instead.  Changed a few Tcl_GetStringFromObj() calls to Tcl_GetString()
	when a length int* isn't used.

	* itcl/generic/itcl.h: fix from patch #501979 applied.

2001-11-24  David Gravereaux <davygrvy@pobox.com>

	* itcl/generic/itcl.h:
	* itcl/generic/itclDecls.h:
	* itcl/generic/itclIntDecls.h:
	* itk/generic/itk.h:
	* itk/generic/itkDecls.h:
	* itk/generic/itk.decls: Changed redefining the macro EXTERN to
	making a new macro called TCL_EXTERN to get this Borland problem
	squashed without breaking all headers included after itcl.h that
	use the EXTERN macro.

2001-11-05  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/tests/ensemble.test: fixed 1.5 to work with 8.4 updated
	warning messages

2001-10-29  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure:
	* itcl/configure:
	* itk/configure: regen'ed
	* tcl.m4: changed MSSDK cygpath check to use pipe instead of
	subshell to only occur at the right point.

2001-10-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure:
	* tcl.m4:
	* itcl/configure:
	* itcl/configure.in:
	* itk/configure:
	* itk/configure.in: added Win64 build support.

	* itcl/generic/itcl_methods.c (Itcl_GetMemberFuncUsage): corrected
	casting of CONST char * to prevent compile warnings.

	* itcl/generic/itcl_ensemble.c (CreateEnsemble, AddEnsemblePart):
	made the <8.4 Tcl header version changes easier in the code.

2001-10-24  Jeff Hobbs  <jeffh@ActiveState.com>

	* itcl/generic/itcl_cmds.c (Itcl_FindObjectsCmd): fixed potential
	crash where cmdName was never initialized

2001-09-06  David Gravereaux <davygrvy@pobox.com>

	* itcl/generic/itcl.h:
	* itcl/generic/itclDecls.h:
	* itcl/generic/itclInt.h:
	* itcl/generic/itclIntDecls.h:
	* itk/generic/itk.h:
	* itk/generic/itkDecls.h:  EXTERN macro changed to support TIP#60
	in draft form.  [Incr Tcl] will be the "successful implementation"
	part of the TIP.

2001-09-06  David Gravereaux <davygrvy@pobox.com>

	* itcl/generic/itcl_util.c: Threading patch from "Haneef Mohammed"
	<haneef@mindspringx.com>.
	[Patch: 445670]

	-=[ Incr Tcl/Tk 3.2.1 tagged as done. ]=-

2001-06-22  David Gravereaux <davygrvy@pobox.com>

	* tcl.m4: Added support for MacOS X [#435256]

	* itk/win/makefile.vc: fixed a bad macro use in the genstubs target.

	* itk/generic/itk_cmds.c: Added Itk_SafeInit().

	* itk/generic/itk.decls:
	* itk/generic/itkDecls.h:
	* itk/generic/itkStubInit.c: Needed to add Itk_SafeInit() to the
	Stubs table.  Regen'd Stubs table.

2001-05-28  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* itcl/Makefile.in:
	* itk/Makefile.in:
	* iwidgets/Makefile.in: Fixed installation of manpages, added
	  invocations of "basename" to create the correct paths into the
	  installation directories. Fixes [#427118].

2001-05-25  davygrvy
	* ChangeLog (new):
	Auto-generated this from the output of `cvs log`.  This will be the
	day-to-day reference of per-commits.  CHANGES will now be the digest
	of the data in here.  Just like how Tcl does it.  Information from
	iwidgets was not used.

	* itk/generic/itk.h:
	* itk/generic/itkStubLib.c:
	* itk/generic/itk_cmds.c: added CONST to return type for
	Itk_InitStubs() to match what Kevin Kenny is doing to Tcl.  Along
	with a little lint cleaning regarding Stubs.

	* itcl/generic/itcl.h:
	* itcl/generic/itclStubLib.c:
	added CONST to return type for Itcl_InitStubs() to match what
	Kevin Kenny is doing to Tcl

2001-05-24  davygrvy
	* README.vc.txt:
	instructions how to use makefile.vc to build the package

	* itcl/configure:
	* itcl/configure.in:
	* itcl/itclConfig.sh.in:
	* itk/configure:
	* itk/configure.in:
	* itk/itkConfig.sh.in:
	Bug #427113

2001-05-23  davygrvy
	* itcl/win/makefile.vc:
	added missing quotes around include paths.

	* .cvsignore:
	* configure:
	* configure.in:
	changed configure.in to the new iwidgets subdir.  Removed the older
	references to iwidgets3.0.0 and iwidgets2.2.0

	* configure:
	this could be useful.

	* itcl/.cvsignore:
	* itcl/configure:
	* itcl/configure.in:
	* itk/.cvsignore:
	* itk/configure:
	* itk/configure.in:
	Updated patch level to 3.2.1 in prep for a release.

	* itcl/win/makefile.vc:
	* itcl/win/rc/itcl.rc:
	yet another rc problem repaired

	* itcl/win/makefile.vc:
	rc problem repaired

2001-05-22  davygrvy
	* itcl/generic/itcl_objects.c:
	* itcl/tests/interp.test:
	patch #426205, self deleting class caused core dump.

	* itk/generic/itk_archetype.c:
	* itk/generic/itk_cmds.c:
	Fix for Tcl_GetCommandName() now returning a CONST char *
	from the changes Kevin Kenny is doing to the HEAD tcl code.
	This hasn't been tested with older header files, yet.

	* config.vc:
	* itcl/win/makefile.vc:
	* itk/win/makefile.vc:
	* itk/win/rc/itk.rc:
	* makefile.vc:
	makefile.vc actually works again.

	* itk/win/rc/cursor00.cur:
	* itk/win/rc/cursor02.cur:
	* itk/win/rc/cursor04.cur:
	* itk/win/rc/cursor06.cur:
	* itk/win/rc/cursor08.cur:
	* itk/win/rc/cursor0a.cur:
	* itk/win/rc/cursor0c.cur:
	* itk/win/rc/cursor0e.cur:
	* itk/win/rc/cursor10.cur:
	* itk/win/rc/cursor12.cur:
	* itk/win/rc/cursor14.cur:
	* itk/win/rc/cursor16.cur:
	* itk/win/rc/cursor18.cur:
	* itk/win/rc/cursor1a.cur:
	* itk/win/rc/cursor1c.cur:
	* itk/win/rc/cursor1e.cur:
	* itk/win/rc/cursor20.cur:
	* itk/win/rc/cursor22.cur:
	* itk/win/rc/cursor24.cur:
	* itk/win/rc/cursor26.cur:
	* itk/win/rc/cursor28.cur:
	* itk/win/rc/cursor2a.cur:
	* itk/win/rc/cursor2c.cur:
	* itk/win/rc/cursor2e.cur:
	* itk/win/rc/cursor30.cur:
	* itk/win/rc/cursor32.cur:
	* itk/win/rc/cursor34.cur:
	* itk/win/rc/cursor36.cur:
	* itk/win/rc/cursor38.cur:
	* itk/win/rc/cursor3a.cur:
	* itk/win/rc/cursor3c.cur:
	* itk/win/rc/cursor3e.cur:
	* itk/win/rc/cursor40.cur:
	* itk/win/rc/cursor42.cur:
	* itk/win/rc/cursor44.cur:
	* itk/win/rc/cursor46.cur:
	* itk/win/rc/cursor48.cur:
	* itk/win/rc/cursor4a.cur:
	* itk/win/rc/cursor4c.cur:
	* itk/win/rc/cursor4e.cur:
	* itk/win/rc/cursor50.cur:
	* itk/win/rc/cursor52.cur:
	* itk/win/rc/cursor54.cur:
	* itk/win/rc/cursor56.cur:
	* itk/win/rc/cursor58.cur:
	* itk/win/rc/cursor5a.cur:
	* itk/win/rc/cursor5c.cur:
	* itk/win/rc/cursor5e.cur:
	* itk/win/rc/cursor60.cur:
	* itk/win/rc/cursor62.cur:
	* itk/win/rc/cursor64.cur:
	* itk/win/rc/cursor66.cur:
	* itk/win/rc/cursor68.cur:
	* itk/win/rc/cursor6a.cur:
	* itk/win/rc/cursor6c.cur:
	* itk/win/rc/cursor6e.cur:
	* itk/win/rc/cursor70.cur:
	* itk/win/rc/cursor72.cur:
	* itk/win/rc/cursor74.cur:
	* itk/win/rc/cursor76.cur:
	* itk/win/rc/cursor78.cur:
	* itk/win/rc/cursor7a.cur:
	* itk/win/rc/cursor7c.cur:
	* itk/win/rc/cursor7e.cur:
	* itk/win/rc/cursor80.cur:
	* itk/win/rc/cursor82.cur:
	* itk/win/rc/cursor84.cur:
	* itk/win/rc/cursor86.cur:
	* itk/win/rc/cursor88.cur:
	* itk/win/rc/cursor8a.cur:
	* itk/win/rc/cursor8c.cur:
	* itk/win/rc/cursor8e.cur:
	* itk/win/rc/cursor90.cur:
	* itk/win/rc/cursor92.cur:
	* itk/win/rc/cursor94.cur:
	* itk/win/rc/cursor96.cur:
	* itk/win/rc/cursor98.cur:
	* itk/win/rc/itkwish.rc:
	* itk/win/winMain.c:
	Removing of old cruft.  itkwishXX.exe is no longer needed as
	itkXX.dll is a pure extension and loads in a vanilla wish just
	fine.

	* itcl/win/pkgIndex.tcl:
	* itk/win/pkgIndex.tcl:
	we'll auto gen these from the makefile

	* itcl/win/makefile.vc:
	* itk/win/makefile.vc:
	fixed include paths to make sure paths to itcl.h and itk.h in the
	source tree are mentioned first to avoid a possible bug during
	building.

	* itcl/configure:
	* itcl/configure.in:
	* itk/configure:
	* itk/configure.in:
	patch #426203

	* itk/win/makefile.vc:
	Mostly working.  Not fully tested, but lots closer.

	* itk/win/makefile.vc:
	more closer, but not yet perfect.

	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_methods.c:
	Fix for Tcl_GetCommandName() now returning a CONST char *
	from the changes Kevein Kenny is doing to the HEAD tcl code.
	This hasn't been tested with older header files, yet.

	* itk/generic/itk_cmds.c:
	Removed old reference to external ItkStubs structure.
	Old cruft left from before Itk_InitStubs existed.

	* itcl/win/itcl.rc:
	* itcl/win/rc/itcl.rc:
	moving the resource script

	* itcl/win/rc/itcl.rc:
	subtle changes.

	* itcl/win/itclsh.rc:
	* itcl/win/tclAppInit.c:
	Removing of old cruft.  itclshXX.exe is no longer needed as
	itclXX.dll is a pure extension and loads in a vanilla shell just
	fine.

	* itcl/generic/itcl_methods.c:
	* itcl/generic/itcl_util.c:
	removed #include "tclCompile.h"!  It wasn't needed.  Those source
	files made no reference to anything in it.

	* itk/win/makefile.vc:
	closer to perfection.

	* itk/win/rc/itk.rc:
	This is now the resource script for the dll.

	* itcl/generic/itcl_methods.c:
	whoops.. doh!

	* itk/win/dllEntryPoint.c:
	Stubs bug logic fix.  Same as itcl/win/dllEntryPoint.c.  This help
	build a debug version of itcl/itk from the standard tclstubXX.lib
	by removing the link requirement to msvcrt.lib which should never
	have been there.

	* itcl/win/makefile.vc:
	adapted for new location of itcl.rc

	* itk/win/rc/itk.rc:
	subtle changes to infere the correct filename and support more
	complete versioning info.

	* itcl/generic/itcl.h:
	* itk/generic/itk.h:
	changed RESOURCE_INCLUDED to RC_INVOKED. The windows resource
	compiler to preset to define this already.

	* itcl/generic/itclInt.decls:
	* itcl/generic/itclIntDecls.h:
	* itcl/generic/itcl_class.c:
	Fix for Itcl_ClassCmdResolver() not being of type
	Tcl_ResolveCmdProc with the CONST type added to param 2 in the
	lastest headers.  I haven't tested this with an older tcl.h yet.
	Hopefully, this won't get messy.

	* itcl/win/makefile.vc:
	small $(RCDIR) change.

	* itcl/generic/itcl_bicmds.c:
	patch #426207, contextNs ptr can be NULL in Itcl_BiInfoClassCmd

2001-05-18  andreas_kupries
	* itcl/generic/itcl_class.c:
	[Fix 227811] Check for any command with the given name, not only
	objects.

2001-05-17  andreas_kupries
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_cmds.c: Fixed bug 227804.

2001-05-11  Andreas Kupries  <a.kupries@westend.com>

	* itk/generic/itk_archetype.c: Fixed bug 227876.

	* itcl/generic/itcl_objects.c: Fixed bug 227824 (and several
	duplicates).

	* itk/generic/itk_archetype.c: Fixed bug 227814

2001-04-25  davygrvy
	* pkg.vc: moved the info about the iwidget version for makefile.vc

2001-04-18  davygrvy
	* itcl/win/dllEntryPoint.c:
	whoops...  removed C++ style comment from this .c file :)

2001-04-14  davygrvy

	* itcl/library/itcl.tcl: Patch ID #227860

	* rules.vc: added an rcs keyword

	* .cvsignore: just testing loginfo mailing...

	* .cvsignore: only making a change to see the history file get an
	entry...

2001-04-12  davygrvy
	* itcl/win/makefile.vc: progress is happening

2001-04-08  davygrvy
	* itcl/win/.cvsignore:
	* itk/win/.cvsignore:
	no need to have CVS bother itself with the build directories

	* itcl/win/makefile.vc:
	a large rewrite

	* makefile.vc:
	todays work progress.  I'm not done yet.

	* itcl/generic/itcl_ensemble.c:
	* itcl/generic/itcl_util.c:
	Added mutex locking around the ItclPreservedList global hash table.  This
	appears to be the only work needed to support multithreading.

	* config.vc:
	* pkg.vc:
	* rules.vc:
	new build files for VC++ compiles

	* .cvsignore:
	ignore MSVC++ project artifacts

2001-04-07  davygrvy
	* itcl/win/dllEntryPoint.c:
	a small windows specific fix against Tcl's Stubs library.

	* itcl/generic/itclInt.h:
	* itcl/generic/itclStubLib.c:
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_ensemble.c:
	  Tcl's internal header, tclInt.h, in 8.4a2 got a small change in
	  the Command structure that needed 2 changes in Itcl to resolve.
	  1) #if/#else/#endif blocks added in itcl_class.c and
	  itc_ensemble.c allowing Itcl to compile. 2) added a global
	  variable called itclCompatFlags that's sets a flag in
	  Itcl_Init() that will modify the logic around access to
	  cmdPtr->flags/deleted.  This way, any core compile will yeild a
	  fully forward/backward compatible binary (correct logic set at
	  runtime).

2000-12-21  smithc
	* itk/win/makefile.vc: Patch #102914.

2000-12-12  smithc
	* itcl/generic/itcl_ensemble.c: Patch #102774

	* itcl/generic/itcl_class.c: Patch #100274

2000-09-23  davidg
	* CHANGES: added a note about the 3.2 release

	* itcl/generic/itcl.h:
	  Itcl_InitStub prototype in itcl/generic/itcl.h was getting name
	  mangled by c++ compilers.  Fixed with an 'extern "C"'
	  appropriately applied.

2000-08-18  davidg
	* itcl/generic/itcl_cmds.c:
	Tcl_InitStubs was using the TCL_VERSION macro set by the
	tcl.h header.  Changed it to be "8.1" instead as it
	doesn't matter unless Itcl needs special/new features of
	the core it's header is from.  But it doesn't..  so hard
	code it for an 8.1 minimum.

2000-08-07  welch
	* itcl/Makefile.in:
	* itcl/generic/itcl.h:
	* itcl/generic/itclStubLib.c:
	Final iteration, really, on getting Itcl_StubInit
	correctly set up.

	* itk/generic/itk_cmds.c:
	Removed redundant definitions of itclStubsPtr and
	itclIntStubsPtr.

	* itcl/Makefile.in:
	Added Itcl_InitStubs to the main Itcl library as well as
	the stubs library for those applications (like Itk) that
	call Itcl_InitStub but are linked against the main
	library.

2000-08-04  davidg
	* itcl/generic/itcl.decls:
	* itcl/generic/itclDecls.h:
	* itcl/generic/itclIntDecls.h:
	* itcl/generic/itclStubInit.c:
	* itk/generic/itk.decls:
	* itk/generic/itkDecls.h:
	* itk/generic/itkStubInit.c:
	* itk/generic/itkStubLib.c:
	added missing RCS strings

	* itcl/generic/itcl.h:
	* itcl/generic/itclStubLib.c:
	* itk/generic/itk.h:
	* itk/generic/itkStubLib.c:
	yanked ugly linkage cruft from the StubLib functions.  It's
	always static.

2000-08-02  davidg
	* itk/generic/itk_cmds.c:
	simplified how Itcl Stubs are set

	* itcl/generic/itcl.h:
	* itk/generic/itk.h:
	added missing Itcl_InitStubs and Itk_InitStubs declarations.

2000-08-02  welch
	* itk/generic/itkStubLib.c:
	Fixed this new function

	* itcl/Makefile.in:
	* itk/Makefile.in:
	Changed this to use installFiles.tcl instead of install-sh

	* itcl/generic/itclStubLib.c:
	Fix for new Itcl_InitStubs.c

	* config/installFile.tcl:
	Added a Tcl version of install-sh that avoids copying a
	file if the target has the same size and date stamp as the
	source file already.  This helps parallel builds on
	different platforms avoid changing files out from one
	another.

2000-07-29  welch
	* itcl/configure:
	* itk/configure: Ran autoconf

	* tcl.m4: Fixed this with respect to recent changes in windows def
	of TCL_SRC_DIR

2000-07-23  wart
	* itcl/Makefile.in:
	* itk/Makefile.in: Use INSTALL_PROGRAM instead of INSTALL_DATA to
	install libraries so they get execute permission on HPUX

2000-07-14  welch
	* itcl/configure:
	* itk/configure: Updated configure

	* config/install-sh: Nuked debug echo statement

2000-07-12  welch
	* config/install-sh: Added -f to MV command

	* CHANGES:
	* Makefile.in: Added some feedback to the top-level makefile loops

	* itcl/configure.in:
	* itk/Makefile.in:
	* itk/configure.in: Disable stubs in the case of static builds.

2000-07-07  csmith
	* itcl/tests/info.test: patch submitted by David Cuthbert, 7/7/00

	* itcl/generic/itcl_bicmds.c:
	patch submitted by David Cuthbert, 7/7/00 to fix segfault caused by the
	following code:
	
	    itcl::class X { }
	    namespace eval X { info class }

2000-07-06  mmc
	* Makefile.in:
	* README:
	Touched up README for itcl3.2 release.  Fixed master Makefile to
	avoid testing iwidgets2.2.0, which is an older release provided
	only for backward-compatibility.  Bug fixes and improvements are
	made and tested in the newer iwidgets3.0.0 release.

	* CHANGES:
	* itcl/generic/itcl.h:
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_objects.c:
	* itcl/tests/all:
	* itcl/tests/all.tcl:
	* itcl/tests/basic.test:
	* itcl/tests/defs:
	* itcl/tests/inherit.test:
	* itcl/tests/methods.test:
	* itcl/tests/namespace.test:
	* itcl/unix/Makefile.in:
	* itcl/unix/configure.in:
	* itcl/unix/itclConfig.sh.in:
	* itcl/unix/pkgIndex.tcl.in:
	* itcl/unix/test.tcl:
	* itk/Makefile.in:
	* itk/generic/itk_archetype.c:
	* itk/library/itk.tcl:
	* itk/tests/all:
	* itk/tests/all.tcl:
	* itk/tests/defs:
	* itk/tests/widget.test:
	* itk/unix/Makefile.in:
	* itk/unix/configure.in:
	* itk/unix/itkConfig.sh:
	* itk/unix/itkConfig.sh.in:
	* itk/unix/pkgIndex.tcl.in:
	
	6/26/00 (bug fix)
	  Fixed Itcl_ClassVarResolver so that the formal
	  parameters in a method/proc take precedence over class
	  data members.
	
	6/30/00 (bug fix)
	  Fixed all itcl/itk/iwidgets3.0.0 tests to run cleanly
	  with the new tcltest package.
	
	7/1/00 (bug fix)
	  Fixed "itk_component delete" so that the composite
	  option list is cleaned up whenever a component is
	  deleted.  For example, suppose a component is the sole
	  contributor of -font.  When that component is removed
	  via "itk_component delete", the -font option goes away
	  as well.  Also fixed the handling of the itk-delete-*
	  binding for the component.  When the component is
	  removed, the binding tag is also removed by
	  itk::remove_destroy_hook.
	
	7/5/00 (bug fix)
	  Fixed the check done during object creation to avoid
	  clobbering existing commands.  Previously, itcl would
	  look for any command-- in the local *and* global
	  namespace--that might be clobbered.  Now, it looks for
	  commands only in the local namespace, since those are
	  the only ones that could truly be clobbered.
	
	7/5/00 (cleanup)
	  Removed obsolete Makefile/configure files in the various
	  "unix" directories.  Makefiles and configure files now
	  reside one level above, in the standard TEA place.

2000-06-22  wart
	* itcl/Makefile.in:
	Added itclDecls.h to list of header files to install.

2000-06-22  welch
	* itk/Makefile.in:
	Installing stub table tkDecls.h

	* itcl/Makefile.in:
	Installing all header files, not just public ones.

2000-06-16  matt
	* itcl/generic/itcl_util.c:
	Moved #ifndef NDEBUG inside Itcl_Assert routine otherwise
	it may not get inclued BUT it is specified in the Stubs
	Table.....

2000-06-06  wart
	* itk/tests/all.tcl:
	Added missing file for running test suite.

2000-06-01  wart
	* itcl/Makefile.in:
	* itcl/tests/basic.test:
	* itcl/tests/body.test:
	* itcl/tests/chain.test:
	* itcl/tests/delete.test:
	* itcl/tests/ensemble.test:
	* itcl/tests/import.test:
	* itcl/tests/info.test:
	* itcl/tests/inherit.test:
	* itcl/tests/interp.test:
	* itcl/tests/local.test:
	* itcl/tests/methods.test:
	* itcl/tests/mkindex.test:
	* itcl/tests/namespace.test:
	* itcl/tests/protection.test:
	* itcl/tests/scope.test:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
	* itk/tests/interp.test:
	* itk/tests/option.test:
	* itk/tests/privacy.test:
	* itk/tests/public.test:
	* itk/tests/toplevel.test:
	* itk/tests/widget.test:
	Tests modified to work with TEA Makefile.

2000-04-19  mmc
	* CHANGES:
	* itcl/Makefile.in:
	* itcl/configure:
	* itcl/configure.in:
	* itcl/doc/find.n:
	* itcl/generic/itcl.h:
	* itcl/generic/itcl_cmds.c:
	* itcl/tests/basic.test:
	* itcl/tests/body.test:
	* itcl/tests/chain.test:
	* itcl/tests/defs:
	* itcl/tests/delete.test:
	* itcl/tests/ensemble.test:
	* itcl/tests/info.test:
	* itcl/tests/inherit.test:
	* itcl/tests/local.test:
	* itcl/tests/methods.test:
	* itcl/tests/mkindex.itcl:
	* itcl/tests/namespace.test:
	* itcl/tests/protection.test:
	* itcl/tests/scope.test:
	* itcl/tests/tclIndex:
	* itcl/unix/configure.in:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
	* itk/tests/defs:
	* itk/tests/option.test:
	* itk/tests/widget.test:
	* license.terms:
	- fixed itcl::find to find classes/objects in *all* namespaces
	- fixed tests to run cleanly

2000-03-28  csmith
	* itcl/generic/itcl_cmds.c:
	Patch for Ticket 4111, submitted by David Cuthbert:
	
	*** itcl3.1.0/itcl/generic/itcl_cmds.c.orig     Tue Feb  1 16:37:53 2000
	--- itcl3.1.0/itcl/generic/itcl_cmds.c.new      Tue Feb  1
	16:38:06 2000
       ***************
       *** 94,100 ****
         static char safeInitScript[] =
         "proc ::itcl::local {class name args} {\n\
       !     set ptr [uplevel eval [list $class $name] $args]\n\
             uplevel [list set itcl-local-$ptr $ptr]\n\
             set cmd [uplevel namespace which -command $ptr]\n\
             uplevel [list trace variable itcl-local-$ptr u \"::itcl::delete object $cmd; list\"]\n\

       --- 94,100 ----
         static char safeInitScript[] =
         "proc ::itcl::local {class name args} {\n\
       !     set ptr [uplevel [list $class $name] $args]\n\
             uplevel [list set itcl-local-$ptr $ptr]\n\
             set cmd [uplevel namespace which -command $ptr]\n\
             uplevel [list trace variable itcl-local-$ptr u \"::itcl::delete object $cmd; list\"]\n\

	* itcl/library/itcl.tcl:
	Patch for ticket 4111, submitted by David Cuthbert:
	
	*** itcl3.1.0/itcl/library/itcl.tcl.orig        Tue Feb  1 16:38:24 2000
	--- itcl3.1.0/itcl/library/itcl.tcl.new Tue Feb  1 16:38:30 2000
	***************
	*** 27,33 ****
	  #  alive until a procedure exits.
	  # ----------------------------------------------------------------------
	  proc ::itcl::local {class name args} {
	!     set ptr [uplevel eval [list $class $name] $args]
	      uplevel [list set itcl-local-$ptr $ptr]
	      set cmd [uplevel namespace which -command $ptr]
	      uplevel [list trace variable itcl-local-$ptr u \
	
	--- 27,33 ----
	  #  alive until a procedure exits.
	  # ----------------------------------------------------------------------
	  proc ::itcl::local {class name args} {
	!     set ptr [uplevel [list $class $name] $args]
	      uplevel [list set itcl-local-$ptr $ptr]
	      set cmd [uplevel namespace which -command $ptr]
	      uplevel [list trace variable itcl-local-$ptr u \

2000-03-20  wart
	* itk/configure:
	* itk/configure.in:
	Fixed typo in variable name

2000-03-17  wart
	* itcl/Makefile.in:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
	Added TCL_EXTRA_CFLAGS to compile line to fix build problems on Irix

2000-02-04  wart
	* itk/configure:
	* itk/configure.in:
	Fixed typo that was causing builds on CYGWIN_NT platforms not to pick up
	the Tcl stub library (TCL_STUB_LIB_SPEC was not being substituted in the
	Makefile)

2000-01-28  wart
	* itcl/configure:
	* itcl/configure.in:
	* itk/configure:
	* itk/configure.in:
	Fixed a few more places where the configure wasn't checking for cygwin on
	Windows 95/98

2000-01-24  wart
	* itcl/configure:
	* itk/configure:
	Regenerated configure scripts to pick up changes to tcl.m4

	* itcl/configure:
	* itk/configure:
	Regenerated configure scripts to pick up recent changes to tcl.m4

	* tcl.m4:
	* tcl.m4:
	Updated to reflect recent TEA changes

2000-01-18  wart
	* tcl.m4:
	Updated to reflect recent TEA changes

2000-01-03  csmith
	* itcl/unix/Makefile.in:
	Patch submitted by Mo Dejong needed so Itcl will link to the Tcl libs
	when Tcl is compiled with debugging on.

	* itcl/generic/itcl_parse.c:
	Patch by Mo Dejong to fix a Windows NT/95 crashing problem where you can
	build with debugging on, load the Itcl package, and press the X in the
	upper right corner.  Note that I'm unable to test this on Windows and
	that this patch introduces a compiler warning.

	* itcl/generic/itcl_parse.c:
	Duuuuhhhh....
	
	This is the patch from Mo Dejong regarding the Windows NT/95 crashing
	problem.  My previous checkin of itcl_parse.c did not include all of
	the patch - got in a hurry.  Disregard the compiler warning mentioned
	in my previous checkin.

	* itcl/tests/defs:
	Patch submitted by Mo Dejong: needed to add "-force" option to the
	namespace import command so fix a bug with 'make test'.

1999-11-24  wart
	* itcl/configure:
	* itk/configure:
	regenerated configure scripts to pick up tcl.m4 changes

	* itcl/configure:
	* itk/configure:
	* tcl.m4:
	tcl.m4:  Updated to reflect recent TEA changes
	
	*/configure:  Regnereated with new tcl.m4
	
	iwidgets2.2.0/Makefile.in:  Don't copy nonexistent files

	* tcl.m4:
	Updated to reflect recent TEA changes

1999-09-21  wart
	* itk/Makefile.in:
	Itk now installs appropriate library files.

1999-09-20  wart
	* itcl/configure:
	* itcl/configure.in:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
	pkgIndex on Windows now looks in the correct directory for the
	.dll files.

1999-09-17  wart
	* tcl.m4:
	Updated to reflect recent changes

1999-09-15  wart
	* itcl/configure:
	* itcl/configure.in:
	* itcl/pkgIndex.tcl.in:
	* itk/configure:
	* itk/configure.in:
	* itk/pkgIndex.tcl.in:
	Better pkgIndex.tcl files that should now work on solaris.

1999-09-14  wart
	* itcl/Makefile.in:
	* itcl/configure:
	* itcl/configure.in:
	* itcl/mkIndex.tcl.in:
	* itcl/pkgIndex.tcl.in:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
	* itk/mkIndex.tcl.in:
	* itk/pkgIndex.tcl.in:
	Fixed installation of pkgIndex.tcl file.  We have to install a pre-made
	pkgIndex.tcl file since pkg_mkIndex can't seem to make a usable one.

1999-09-10  wart
	* itk/Makefile.in:
	Fixed bug when calling mkIndex.tcl for itk
	
	reduced amount of output from "make install" in iwidgets

	* itcl/Makefile.in:
	* itk/Makefile.in:
	Removed Makefiles rules to regenerate the configure scripts.  This was
	causing problems when building on Windows and Unix simultaneoulsy.

1999-09-09  wart
	* itcl/configure:
	* itcl/configure.in:
	* itk/configure:
	* itk/configure.in:
	configure scripts now look for tclsh82d.exe executable when searching
	for valid tcl interpreter.

	* Makefile.in:
	Added pkgIndex files for Iwidgets
	
	Top level Makefile should no longer loop endlessly if the configure went bad.

	* itcl/configure:
	* itcl/configure.in:
	* itk/configure:
	* itk/configure.in:
	* tcl.m4:
	Look for tclsh82d.exe before tclsh82.exe.
	
	configure scripts for itcl and itk now use the tcl.m4 macro SC_PROG_TCLSH.

1999-09-07  wart
	* itcl/Makefile.in:
	* itcl/configure:
	* itcl/configure.in:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
	configure now searches for tclsh82 shell in exec-prefix, then prefix, then
	relative to tclConfig.sh, then in the users path.

1999-09-04  wart
	* configure.in:
	* itcl/Makefile.in:
	* itcl/aclocal.m4:
	* itcl/configure:
	* itcl/configure.in:
	* itcl/mkIndex.tcl.in:
	* itk/Makefile.in:
	* itk/aclocal.m4:
	* itk/configure:
	* itk/configure.in:
	* itk/mkIndex.tcl.in:
	* tcl.m4:
	TEA changes.  Itcl now uses the same Makefiles and configure scripts for
	both Windows and Unix.
	
	Note that static shells are not yet done in this TEA implementation.

	* itcl/Makefile.in:
	* itk/Makefile.in:
	Temporarily removed pkg_mkIndex step from Makefile since it causes a
	crash on Windows.

1999-08-21  matt
	* itcl/unix/Makefile.in:
	Fixed mismatch between configure script and makefile for stub
	enabled builds

	* itk/unix/Makefile.in:
	Fixed mismatch between conifgure script and Makefile for stub
	enabled builds.

1999-06-28  hershey
	* itk/unix/configure.in:
	* itk/unix/itkConfig.sh:
	remove version number from comments

1999-06-26  wart
	* itcl/mac/itclMacLibrary.r:
	* itcl/mac/pkgIndex.tcl:
	* itcl/unix/configure.in:
	* itk/mac/itkMacLibrary.r:
	* itk/mac/pkgIndex.tcl:
	* itk/unix/configure.in:
	* itk/win/pkgIndex.tcl:
	Version numbers changed from 3.0.1 to 3.1.0

1999-05-25  redman
	* itcl/generic/itcl.h:
	* itcl/win/makefile.vc:
	* itk/win/makefile.vc:
	* itk/win/winMain.c:
	* makefile.vc:
	Fixed the use of Tcl & Tk stubs on Windows.
	
	Now the extra shells (itclsh31.exe and itkwish31.exe) are being
	created and run properly.

	* itcl/generic/itcl_cmds.c:
	* itcl/unix/Makefile.in:
	* itcl/unix/configure.in:
	* itcl/unix/itclConfig.sh.in:
	* itk/generic/itk_cmds.c:
	* itk/unix/Makefile.in:
	* itk/unix/configure.in:
	* itk/unix/itkConfig.sh:
	* itk/unix/itkConfig.sh.in:
	Fix the makefile and configure files, etc., for Unix
	in order to compile with Tcl/Tk 8.1 with stubs.
	
	Builds itclsh and itkwish properly.

1999-05-24  redman
	* itcl/generic/itcl.decls:
	* itcl/generic/itcl.h:
	* itcl/generic/itclDecls.h:
	* itcl/generic/itclInt.decls:
	* itcl/generic/itclInt.h:
	* itcl/generic/itclIntDecls.h:
	* itcl/generic/itclStubInit.c:
	* itcl/generic/itclStubLib.c:
	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_ensemble.c:
	* itcl/tests/defs:
	* itcl/tests/tclIndex:
	* itcl/win/itcl.rc:
	* itcl/win/makefile.vc:
	* itcl/win/pkgIndex.tcl:
	* itk/generic/itk.decls:
	* itk/generic/itk.h:
	* itk/generic/itkDecls.h:
	* itk/generic/itkStubInit.c:
	* itk/generic/itkStubLib.c:
	* itk/generic/itk_cmds.c:
	* itk/win/makefile.vc:
	* itk/win/rc/itk.rc:
	* makefile.vc:
	Applied patches from David Gravereaux to update Itcl and Itk to
	use Tcl/Tk 8.1 stubs and provide it's own stubs interface, on
	Windows only.
	
	Changes have not been made to support I18N (if needed) or MT-safety.
	
	Version number has been changed to 3.1.0 (from 3.0.1) by
	David to coincide with the shift to Tcl/Tk 8.1.
	
	Building of itclsh31.exe and iwish31.exe have been disabled
	until someone else makes them work properly.  Test suites
	have been modified to work with tclsh81.exe instead.

1999-02-05  stanton
	* itk/unix/itkConfig.sh:
	updated version to itcl3.0.1

1999-01-15  rjohnson
	* itcl/tests/mkindex.itcl:
	
	Fixed typo in tcl file.

1998-10-29  stanton
	* itcl/doc/itcl_info.n:
	Cleaned up some out of date references to 2.2 syntax.

1998-09-14  stanton
	* itk/win/rc/cursor00.cur:
	* itk/win/rc/cursor02.cur:
	* itk/win/rc/cursor04.cur:
	* itk/win/rc/cursor06.cur:
	* itk/win/rc/cursor08.cur:
	* itk/win/rc/cursor0a.cur:
	* itk/win/rc/cursor0c.cur:
	* itk/win/rc/cursor0e.cur:
	* itk/win/rc/cursor10.cur:
	* itk/win/rc/cursor12.cur:
	* itk/win/rc/cursor14.cur:
	* itk/win/rc/cursor16.cur:
	* itk/win/rc/cursor18.cur:
	* itk/win/rc/cursor1a.cur:
	* itk/win/rc/cursor1c.cur:
	* itk/win/rc/cursor1e.cur:
	* itk/win/rc/cursor20.cur:
	* itk/win/rc/cursor22.cur:
	* itk/win/rc/cursor24.cur:
	* itk/win/rc/cursor26.cur:
	* itk/win/rc/cursor28.cur:
	* itk/win/rc/cursor2a.cur:
	* itk/win/rc/cursor2c.cur:
	* itk/win/rc/cursor2e.cur:
	* itk/win/rc/cursor30.cur:
	* itk/win/rc/cursor32.cur:
	* itk/win/rc/cursor34.cur:
	* itk/win/rc/cursor36.cur:
	* itk/win/rc/cursor38.cur:
	* itk/win/rc/cursor3a.cur:
	* itk/win/rc/cursor3c.cur:
	* itk/win/rc/cursor3e.cur:
	* itk/win/rc/cursor40.cur:
	* itk/win/rc/cursor42.cur:
	* itk/win/rc/cursor44.cur:
	* itk/win/rc/cursor46.cur:
	* itk/win/rc/cursor48.cur:
	* itk/win/rc/cursor4a.cur:
	* itk/win/rc/cursor4c.cur:
	* itk/win/rc/cursor4e.cur:
	* itk/win/rc/cursor50.cur:
	* itk/win/rc/cursor52.cur:
	* itk/win/rc/cursor54.cur:
	* itk/win/rc/cursor56.cur:
	* itk/win/rc/cursor58.cur:
	* itk/win/rc/cursor5a.cur:
	* itk/win/rc/cursor5c.cur:
	* itk/win/rc/cursor5e.cur:
	* itk/win/rc/cursor60.cur:
	* itk/win/rc/cursor62.cur:
	* itk/win/rc/cursor64.cur:
	* itk/win/rc/cursor66.cur:
	* itk/win/rc/cursor68.cur:
	* itk/win/rc/cursor6a.cur:
	* itk/win/rc/cursor6c.cur:
	* itk/win/rc/cursor6e.cur:
	* itk/win/rc/cursor70.cur:
	* itk/win/rc/cursor72.cur:
	* itk/win/rc/cursor74.cur:
	* itk/win/rc/cursor76.cur:
	* itk/win/rc/cursor78.cur:
	* itk/win/rc/cursor7a.cur:
	* itk/win/rc/cursor7c.cur:
	* itk/win/rc/cursor7e.cur:
	* itk/win/rc/cursor80.cur:
	* itk/win/rc/cursor82.cur:
	* itk/win/rc/cursor84.cur:
	* itk/win/rc/cursor86.cur:
	* itk/win/rc/cursor88.cur:
	* itk/win/rc/cursor8a.cur:
	* itk/win/rc/cursor8c.cur:
	* itk/win/rc/cursor8e.cur:
	* itk/win/rc/cursor90.cur:
	* itk/win/rc/cursor92.cur:
	* itk/win/rc/cursor94.cur:
	* itk/win/rc/cursor96.cur:
	* itk/win/rc/cursor98.cur:
	* itk/win/rc/itk.ico:
	Fixed binary files

1998-08-23  stanton
	* itcl/doc/scope.n:
	fixed section

1998-08-20  welch
	* itcl/generic/itcl.h:
	Patchlevel 3.0.1

1998-08-18  welch
	* itk/win/pkgIndex.tcl:
	Fixed loading .dll

	* itcl/win/pkgIndex.tcl:
	fixed loading .dll

1998-08-18  suresh

	* itk/generic/itk_cmds.c: Removed pedantic check for existance of
	"::itk" namespace.  Changed code to conditionally create the
	"::itk" namespace based on whether it already exists or not.
	These changes were necessary to facilitate the wrapper dictating
	where the [incr Tk] libraries are stored in a wrapped application
	via the variable '::itk::library".

1998-08-12  welch
	* itk/win/makefile.bc:
	* itk/win/makefile.vc:
	Fixes for tkConsole

1998-08-11  welch
	* CHANGES:
	* README:
	* itcl/doc/class.n:
	* itcl/doc/scope.n:
	* itcl/generic/itcl.h:
	* itcl/generic/itclInt.h:
	* itcl/generic/itcl_bicmds.c:
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_methods.c:
	* itcl/generic/itcl_objects.c:
	* itcl/library/itcl.tcl:
	* itcl/mac/itclMacApplication.r:
	* itcl/mac/itclMacLibrary.r:
	* itcl/mac/itclMacResource.r:
	* itcl/mac/pkgIndex.tcl:
	* itcl/mac/tclMacAppInit.c:
	* itcl/tests/info.test:
	* itcl/unix/Makefile.in:
	* itcl/unix/configure.in:
	* itcl/unix/tclAppInit.c:
	* itcl/win/itcl.rc:
	* itcl/win/itclsh.rc:
	* itcl/win/makefile.vc:
	* itcl/win/pkgIndex.tcl:
	* itcl/win/tclAppInit.c:
	* itk/doc/Toplevel.n:
	* itk/generic/itk.h:
	* itk/generic/itk_cmds.c:
	* itk/mac/MW_ItkHeader.pch:
	* itk/mac/itkMacApplication.r:
	* itk/mac/itkMacLibrary.r:
	* itk/mac/itkMacResource.r:
	* itk/mac/pkgIndex.tcl:
	* itk/mac/tclIndex:
	* itk/mac/tkMacAppInit.c:
	* itk/unix/Makefile.in:
	* itk/unix/configure.in:
	* itk/unix/tkAppInit.c:
	* itk/win/makefile.vc:
	* itk/win/pkgIndex.tcl:
	* itk/win/rc/itk.rc:
	* itk/win/rc/itkwish.rc:
	* itk/win/winMain.c:
	* makefile.vc:
	3.0 final from Michael

1998-08-07  stanton
	* itcl/generic/itcl_methods.c:
	changed to reflect new CompiledLocal structure
	changed to reflect changes in resolver api
	changed to use TclInitCompiledLocals interface

	* itcl/generic/itclInt.h:
	changed to reflect new resolver api

	* itcl/generic/itcl_bicmds.c:
	* itcl/generic/itcl_ensemble.c:
	changed to reflect new CompiledLocal structure

	* itcl/generic/itcl_class.c:
	changed to reflect changes in resolver api

	* itcl/doc/scope.n: fixed section name

	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_util.c:
	* itk/doc/Toplevel.n: lint

1998-08-04  escoffon
	* itcl/generic/itcl.h:
	* itcl/generic/itclInt.h:
	* itk/generic/itk.h: EXPORT is now TCL_STORAGE_CLASS

1998-07-29  escoffon
	* itcl/generic/itcl.h:
	added setting of EXPORT to DLLEXPORT if we are building the
	itcl lib.

	* itk/generic/itk.h:
	- dropped the EXPORT macro, it is now part of EXTERN
	- added setting of EXPORT to DLLEXPORT if we are building the itk lib.

	* itcl/generic/itclInt.h:
	- added setting of EXPORT to DLLEXPORT if we are building the itcl lib.
	- use EXTERN instead of extern for Itcl_Assert

1998-07-28  stanton
	* itcl/generic/itcl_cmds.c:
	* itk/generic/itk_cmds.c: changed search order

